### Method

# GLib Node copy

#### Declaration

    GNode*
    g_node_copy (
      GNode* node
    )

#### Description

Recursively copies a `GNode` (but does not deep-copy the data inside the nodes, see `g_node_copy_deep()` if you need that).

This method is not directly available to language bindings.

#### Return value

Type: `GNode`

A new `GNode` containing the same data pointers.

The data is owned by the instance.